unity main top bar in displays in wrong area (multi-head issue)

Bug #707209 reported by zeruke on 2011-01-25
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Medium
Neil J. Patel
unity (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: xorg

im not sure if this is xorg, unity, compiz, or all of them....but its were if im using more then one screen the unity main bar displays further down the screen then its suppose to be at and anything on the unity bar i have to click at a relative location of where it is suppose to be at.

i attached a screen shot of both screens and the nvidia settings screen and the unity bar in the wrong area

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: xorg 1:7.5+6ubuntu8
ProcVersionSignature: Ubuntu 2.6.37-12.26-generic 2.6.37
Uname: Linux 2.6.37-12-generic i686
NonfreeKernelModules: nvidia wl
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86 Kernel Module 260.19.29 Wed Dec 8 12:09:09 PST 2010
 GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-1ubuntu2)
Architecture: i386
Date: Mon Jan 24 18:01:47 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus:
 nvidia-current, 260.19.29, 2.6.37-12-generic, i686: installed
 bcmwl, 5.100.82.38+bdcom, 2.6.37-12-generic, i686: installed
GraphicsCard: Subsystem: Hewlett-Packard Company Device [103c:30cf]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110108)
Lsusb:
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 002: ID 046d:c50c Logitech, Inc. Cordless Desktop S510
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Hewlett-Packard HP Pavilion dv6500 Notebook PC
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 LC_MESSAGES=en_US.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.37-12-generic root=UUID=a8a2c13b-894a-4d38-83fc-3d7c2a3f655c ro
SourcePackage: xorg
Symptom: display
UnitySupportTest:

dmi.bios.date: 03/03/2009
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.32
dmi.board.name: 30CF
dmi.board.vendor: Quanta
dmi.board.version: 85.26
dmi.chassis.type: 10
dmi.chassis.vendor: Quanta
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.32:bd03/03/2009:svnHewlett-Packard:pnHPPaviliondv6500NotebookPC:pvrRev1:rvnQuanta:rn30CF:rvr85.26:cvnQuanta:ct10:cvrN/A:
dmi.product.name: HP Pavilion dv6500 Notebook PC
dmi.product.version: Rev 1
dmi.sys.vendor: Hewlett-Packard
version.libdrm2: libdrm2 2.4.22-2ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx 7.9+repack-1ubuntu6
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg: xserver-xorg 1:7.5+6ubuntu8
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.13.2-1ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.13.901-2ubuntu3
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20100805+b96170a-0ubuntu1

zeruke (oninekoze) wrote :
Bryce Harrington (bryce) wrote :

Sounds like one of the known issues with unity not handling multi-head properly. We demo'd some similar bugs to the compiz/unity folks a couple weeks ago.

affects: xorg (Ubuntu) → unity (Ubuntu)
Didier Roche (didrocks) on 2011-02-03
summary: - unity main top bar in displays in wrong area
+ unity main top bar in displays in wrong area (multi-head issue)
David Barth (dbarth) wrote :

Indeed, thanks for the report.

Changed in unity:
status: New → Confirmed
Changed in unity (Ubuntu):
importance: Undecided → Medium
Changed in unity:
importance: Undecided → Medium
Changed in unity (Ubuntu):
status: New → Confirmed
Changed in unity:
assignee: nobody → Neil J. Patel (njpatel)
milestone: none → 3.6
Neil J. Patel (njpatel) wrote :

This seems fixed now, at least on my intel laptop with an external monitor (with the fixes that I'll land in a bit). Please re-ppen if it's still an issue.

Changed in unity:
status: Confirmed → Fix Committed
Didier Roche (didrocks) on 2011-03-01
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.6.0-0ubuntu1

---------------
unity (3.6.0-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Menu bar becomes blank periodically (LP: #683065)
    - Unity does not update when screen resolution changes (LP: #684539)
    - [dash] Keyboard navigation not implemented as specified (LP: #608132)
    - Dash - build the Desktop Dash (LP: #683719)
    - Quicklists not working (LP: #719780)
    - Launcher auto hide animation has a life of it's own / Unity launcher
      constantly sliding in and out without user interaction (LP: #717364)
    - compiz crashed with SIGSEGV in PrivateWindow::getModalTransient()
      (LP: #726235)
    - Don't show launcher number overlays on tap of super (LP: #726630)
    - Optimize texture memory usage for unexposed view icons (LP: #609994)
    - Unity should handle video-out keycodes that correspond to Super + P +
      Enter (LP: #632632)
    - dash - wrong count of remaining items to see (LP: #662605)
    - dash - x search box button visibility (LP: #662614)
    - Touch window management gesture previews (LP: #683688)
    - unity not working on rotated displays (LP: #694596)
    - unity main top bar in displays in wrong area (multi-head issue)
      (LP: #707209)
    - unity place group visual improvements (LP: #714528)
    - Implement ref_state_set for toplevel ATK objects in the panel service
      (LP: #715299)
    - Alt + F1 doesn't show the launcher if hidden (LP: #717125)
    - Keyboard navigation: Choosing a window from launcher doesn't change
      input focus. (LP: #721811)
    - Quicklists not closing when losing focus (LP: #724739)
    - wrong animation in the launcher (LP: #724956)
    - Window management - windows go below launcher and panel (LP: #725463)
    - Media and PrintScreen keys don't work (LP: #621887)
    - super-shortcuts should be "serializable" (LP: #638936)
    - Chromium icon in Unity is distorted / some scaled distored in the unity
      place applications (LP: #670169)
    - launcher stays on screen when it shouldn't | false show/hide positives
      on the launcher (LP: #711176)
    - Keyboard navigation: no public API to know the current Laucher Icon
      selected when key nav is activated (LP: #722660)
    - Require to implement AtkSelection on the Launcher (LP: #723804)
    - LauncherIcon accessibility support requires to expose the selection
      state (LP: #723806)
    - Add keyboard shortcuts for launching separate instances of applications
      (LP: #724865)
  * debian/control:
    - dep on latest nux
 -- Didier Roche <email address hidden> Tue, 01 Mar 2011 14:27:16 +0100

Changed in unity (Ubuntu):
status: Confirmed → Fix Released
zeruke (oninekoze) wrote :

this bug was not fixed... i am still having the same problems even with unity - 3.6.0-0ubuntu1 but now its were once i set it up compiz gets a fault and stops were i have to use compiz --restart and then the top bar changes positions no matter the resolution set and some times it appears onto the secondary screen instead of the primary screen where if you try to open the dash the dash appears on the primary too.

To post a comment you must log in.